Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface ApplicationMBean

public interface ApplicationMBean
extends ConfigurationMBean

An application represents a J2EE application contained in a EAR file or EAR directory. The EAR file contains a set of components such as WAR, EJB and JMS JAR components, each of which can be deployed on one or more Roles. A Role is a set of server, with a server serving more than one Role. For example a Role may be the whole Domain, a set of servers that implement the role, or a specific server. These components might include EJBs, servlets, JMS destinations, WebLogic startup and shutdown classes.

An application represents the actual EAR file for this application.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `addComponent(ComponentMBean component)` Add a component to this application.
`void` | `deploy()`
`ComponentMBean[]` | `getComponents()` Returns the components that make up this application.
`int` | `getInternalType()`
`long` | `getLastModified()` Returns the time when this application was last loaded.
`java.lang.Exception` | `getLoadError()` Return the error thrown the last attempt to call load or reload if any, null otherwise.
`java.lang.String` | `getPath()` Returns the path pointing to the application's EAR file.
`boolean` | `isDeployed()` Returns whether or not this application is deployed.
`void` | `load()` Load or reload the application.
`void` | `load(boolean autoDiscover)` Load or reload the application, automatically discovering components.
`boolean` | `removeComponent(ComponentMBean component)` Remove a component from this application.
`void` | `setDeployed(boolean deployed)` Deploy or undeploy the entire application.
`void` | `setLastModified(long time)`
`void` | `setPath(java.lang.String path)` Set the path pointing to the application's EAR file.
`void` | `undeploy()`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPath

    public java.lang.String getPath()

  Returns the path pointing to the application's EAR file. The file is relative to the Admin Server's file system.

### setPath

    public void setPath(java.lang.String path)
                 throws ManagementException,
                        javax.management.InvalidAttributeValueException

  Set the path pointing to the application's EAR file. The path is relative to the Admin Server's file system.

  Legal NULL: false
  Throws:
    ManagementException - if the path does not point to a valid operation or if a problem is encountered while parsing the application's deployment descriptor or creating management modules the application's modules.

### getComponents

    public ComponentMBean[] getComponents()

  Returns the components that make up this application.

  A non-configurable MBean attribute.

### addComponent

    public boolean addComponent(ComponentMBean component)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Add a component to this application.

  A dynamic MBean attribute

### removeComponent

    public boolean removeComponent(ComponentMBean component)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Remove a component from this application.

  A dynamic MBean attribute

### load

    public void load()
              throws ManagementException

  Load or reload the application.

  A dynamic MBean attribute

### load

    public void load(boolean autoDiscover)
              throws ManagementException

  Load or reload the application, automatically discovering components.

  A dynamic MBean attribute

### getLoadError

    public java.lang.Exception getLoadError()

  Return the error thrown the last attempt to call load or reload if any, null otherwise.

### getLastModified

    public long getLastModified()

  Returns the time when this application was last loaded.

  A non-configurable MBean attribute.

### setDeployed

    public void setDeployed(boolean deployed)
                     throws DeploymentException,
                            UndeploymentException,
                            DistributedManagementException

  Deploy or undeploy the entire application. All of the application's components will be deployed or undeployed on their respective roles. Setting deployed to be true on an application that is already deployed is a no-op. Likewise, setting deployed to be false on an application that is not deployed is a no-op.

  A dynamic MBean attribute
  Default Value: true

### deploy

    public void deploy()
                throws DeploymentException,
                       DistributedManagementException

### undeploy

    public void undeploy()
                  throws UndeploymentException,
                         DistributedManagementException

### isDeployed

    public boolean isDeployed()

  Returns whether or not this application is deployed.

### setLastModified

    public void setLastModified(long time)

### getInternalType

    public int getInternalType()

  A dynamic MBean attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD